#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x6e7e2afa, "usb_set_interface" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0xfbc65d79, "usb_autopm_put_interface" },
	{ 0xe85976c8, "usb_autopm_get_interface" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0xf160641d, "kfree_skb" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x6a2fd74a, "skb_queue_tail" },
	{ 0xc4b288c9, "skb_put" },
	{ 0xd8395f7b, "__alloc_skb" },
	{ 0x38d52ea3, "usb_match_id" },
	{ 0xca139712, "hci_register_dev" },
	{ 0x7de652c4, "usb_driver_claim_interface" },
	{ 0x182bbe2b, "usb_ifnum_to_if" },
	{ 0x3d208c05, "hci_alloc_dev" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x37a0cba, "kfree" },
	{ 0x97dee519, "__x86_indirect_thunk_edx" },
	{ 0xf0a74ee0, "hci_free_dev" },
	{ 0xe19e2f7b, "usb_driver_release_interface" },
	{ 0x33219729, "hci_unregister_dev" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xa0db1d8d, "usb_kill_anchored_urbs" },
	{ 0x8ff4079b, "pv_irq_ops" },
	{ 0xd0be7365, "usb_scuttle_anchored_urbs" },
	{ 0x50dce906, "usb_get_from_anchor" },
	{ 0xf333a2fb, "_raw_spin_lock_irq" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0x4785cc6d, "hci_recv_fragment" },
	{ 0x7d11c268, "jiffies" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xbb4673c6, "usb_unanchor_urb" },
	{ 0x50eedeb8, "printk" },
	{ 0xde0530b4, "usb_free_urb" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0xe934d370, "usb_anchor_urb" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x818fbe44, "usb_alloc_urb" },
	{ 0x8949858b, "schedule_work" },
	{ 0x4588bf0f, "__dynamic_pr_debug" },
	{ 0xf56c14a6, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,bluetooth";

MODULE_ALIAS("usb:v*p*d*dcE0dsc01dp01ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp*d*dc*dsc*dp*icFFisc01ip01*");
MODULE_ALIAS("usb:v0A5Cp21E1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E8Dp763Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8213d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8215d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8218d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8281d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v057Cp3800d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BFp030Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v044Ep3001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v044Ep3002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDBp1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A5Cp21E3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C10p0000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0489pE042d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8197d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0489pE033d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A5Cp*d*dc*dsc*dp*icFFisc01ip01*");

MODULE_INFO(srcversion, "1CF67628C7819A6E685F89F");
