#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0xd775c8a4, "bus_register" },
	{ 0x5208c5df, "kmem_cache_destroy" },
	{ 0xce0b3022, "device_remove_file" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe75113b7, "driver_register" },
	{ 0xd0d8621b, "strlen" },
	{ 0xd0ee38b8, "schedule_timeout_uninterruptible" },
	{ 0x97f50193, "page_address" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0x88a193, "__alloc_workqueue_key" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x10c40295, "dma_set_mask" },
	{ 0x136ccbd0, "node_data" },
	{ 0x6a84b967, "pci_get_slot" },
	{ 0x78e340f9, "__x86_indirect_thunk_ebx" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0x3717c8e4, "pci_disable_device" },
	{ 0x1e33476e, "physnode_map" },
	{ 0x4588bf0f, "__dynamic_pr_debug" },
	{ 0xe74cf0a7, "mempool_destroy" },
	{ 0x33543801, "queue_work" },
	{ 0x3fec048f, "sg_next" },
	{ 0x7576f1ca, "x86_dma_fallback_dev" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x92add57b, "pci_release_regions" },
	{ 0x62798a06, "mutex_unlock" },
	{ 0xeaa2a8d4, "pci_bus_write_config_word" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x2f064b55, "allocate_resource" },
	{ 0x7d11c268, "jiffies" },
	{ 0x183fa88b, "mempool_alloc_slab" },
	{ 0x1a63f2fe, "pci_set_master" },
	{ 0x2bc95bd4, "memset" },
	{ 0x22db1d0b, "device_del" },
	{ 0xf003fde2, "device_register" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0xa7c71979, "current_task" },
	{ 0x7b75270c, "__mutex_init" },
	{ 0x8026fa61, "__x86_indirect_thunk_esi" },
	{ 0x50eedeb8, "printk" },
	{ 0x969505, "driver_unregister" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x6c544f4f, "mutex_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6b028588, "dma_release_from_coherent" },
	{ 0xd6b8e852, "request_threaded_irq" },
	{ 0x1991fce8, "sysfs_remove_link" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xc8b37702, "device_add" },
	{ 0xf8a6fe12, "__x86_indirect_thunk_edi" },
	{ 0xf59f72a6, "bus_unregister" },
	{ 0xd964d07d, "dma_alloc_from_coherent" },
	{ 0xf8be3750, "device_create_file" },
	{ 0x71d3a32f, "sysfs_create_link" },
	{ 0x8ff4079b, "pv_irq_ops" },
	{ 0xef62e85f, "mempool_alloc" },
	{ 0x42c8de35, "ioremap_nocache" },
	{ 0x8c4a2904, "put_device" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x26d6c0b6, "mempool_create" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0xe4dd3fe2, "pci_unregister_driver" },
	{ 0x97dee519, "__x86_indirect_thunk_edx" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xceecfd70, "mempool_free" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x967a2a0d, "kmem_cache_create" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e60bace, "memcpy" },
	{ 0x891a5ed, "pci_request_regions" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0x1035c64b, "device_initialize" },
	{ 0xedc03953, "iounmap" },
	{ 0xc8666b3c, "__pci_register_driver" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0x3431f4dc, "device_unregister" },
	{ 0xa6ab2ce4, "pci_dev_put" },
	{ 0x701d0ebd, "snprintf" },
	{ 0x949f630a, "dev_set_name" },
	{ 0xed58174f, "pci_find_parent_resource" },
	{ 0x60f7050f, "pci_enable_device" },
	{ 0xc3fe87c8, "param_ops_uint" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0x68ee5058, "dma_ops" },
	{ 0xf20dabd8, "free_irq" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("pci:v*d*sv*sd*bc0Esc00i*");
MODULE_ALIAS("pci:v00001044d0000A511sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001962sv0000105Asd*bc*sc*i*");

MODULE_INFO(srcversion, "C5EBB9544C8A795ABA19E8B");
