#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0x8f0bba0e, "usbnet_resume" },
	{ 0xc39c24c8, "usbnet_suspend" },
	{ 0x56e63a5b, "usbnet_disconnect" },
	{ 0xfc89bff, "usbnet_probe" },
	{ 0xa9621ac5, "eth_mac_addr" },
	{ 0x5c652669, "usbnet_nway_reset" },
	{ 0xcbb497d0, "usbnet_set_msglevel" },
	{ 0x70de2d12, "usbnet_get_msglevel" },
	{ 0xffdd114c, "usbnet_set_settings" },
	{ 0x4c4d0c47, "usbnet_get_settings" },
	{ 0xb1be4209, "usbnet_tx_timeout" },
	{ 0x1f7c1633, "usbnet_change_mtu" },
	{ 0x9cf52c02, "eth_validate_addr" },
	{ 0x9de7220e, "usbnet_start_xmit" },
	{ 0x2ffbbe8c, "usbnet_stop" },
	{ 0xdbf8d740, "usbnet_open" },
	{ 0x305cbc87, "mii_nway_restart" },
	{ 0x3be0e90e, "usbnet_get_endpoints" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x62798a06, "mutex_unlock" },
	{ 0x6c544f4f, "mutex_lock" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0xf56c14a6, "usb_deregister" },
	{ 0x271b2aa9, "usbnet_defer_kevent" },
	{ 0x8773d362, "netif_carrier_on" },
	{ 0xb14eea29, "netif_carrier_off" },
	{ 0x501ead44, "usbnet_unlink_rx_urbs" },
	{ 0x63723fc3, "skb_pull" },
	{ 0xf9f7b4a, "usbnet_skb_return" },
	{ 0x1318d069, "skb_clone" },
	{ 0x8235805b, "memmove" },
	{ 0xc4b288c9, "skb_put" },
	{ 0x18590b96, "skb_push" },
	{ 0x7327bcac, "__dev_kfree_skb_any" },
	{ 0x62d93d77, "skb_copy_expand" },
	{ 0xfaf98462, "bitrev32" },
	{ 0xa34f1ef5, "crc32_le" },
	{ 0x50eedeb8, "printk" },
	{ 0xde0530b4, "usb_free_urb" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0x818fbe44, "usb_alloc_urb" },
	{ 0x3e1df85c, "generic_mii_ioctl" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x5e53a19, "usbnet_get_drvinfo" },
	{ 0x27ecd21c, "mii_link_ok" },
	{ 0x2e60bace, "memcpy" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39b73d9e, "mii_ethtool_gset" },
	{ 0xec772c59, "mii_check_media" },
	{ 0x8d9a1435, "netdev_err" },
	{ 0xc9f5cd82, "dev_printk" },
	{ 0xe2fae716, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x6932dbb9, "usb_control_msg" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,mii,usbcore";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "A2AD01FD63A6AC1A0975E1C");
