#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0x5f5e7d44, "rt2x00mac_tx_frames_pending" },
	{ 0xf70f3522, "rt2x00mac_get_ringparam" },
	{ 0xbee1d2f7, "rt2x00mac_get_antenna" },
	{ 0xe13627fe, "rt2x00mac_set_antenna" },
	{ 0xcca2abf6, "rt2x00mac_flush" },
	{ 0xc1117718, "rt2x00mac_rfkill_poll" },
	{ 0x2a6b938d, "rt2x00mac_conf_tx" },
	{ 0x66c7f52c, "rt2x00mac_get_stats" },
	{ 0xe38c0fb, "rt2x00mac_sw_scan_complete" },
	{ 0x5cdf1b0d, "rt2x00mac_sw_scan_start" },
	{ 0x292b0cf1, "rt2x00mac_set_key" },
	{ 0xb06cf560, "rt2x00mac_set_tim" },
	{ 0xde34ab36, "rt2x00mac_configure_filter" },
	{ 0xa040c989, "rt2x00mac_bss_info_changed" },
	{ 0xfde3d83b, "rt2x00mac_config" },
	{ 0xd3d410a4, "rt2x00mac_remove_interface" },
	{ 0xd8b44e20, "rt2x00mac_add_interface" },
	{ 0xf9eb0715, "rt2x00mac_stop" },
	{ 0x6c61c57a, "rt2x00mac_start" },
	{ 0xe711975c, "rt2x00mac_tx" },
	{ 0xe0e53ac5, "rt2x00usb_flush_queue" },
	{ 0xe6ba9904, "rt2x00usb_kick_queue" },
	{ 0xa7161865, "rt2x00usb_watchdog" },
	{ 0xe0ea7ee8, "rt2x00usb_clear_entry" },
	{ 0xd676feb5, "rt2x00usb_uninitialize" },
	{ 0xf0b190a2, "rt2x00usb_initialize" },
	{ 0x595840ff, "rt2x00usb_resume" },
	{ 0x93d49f48, "rt2x00usb_suspend" },
	{ 0x7c6fca59, "rt2x00usb_disconnect" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x32a7843, "rt2x00usb_disable_radio" },
	{ 0xf7d9209, "__x86_indirect_thunk_eax" },
	{ 0xf9a482f9, "msleep" },
	{ 0x19d4e3aa, "rt2x00usb_vendor_request" },
	{ 0x12dea0d7, "consume_skb" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0x97dee519, "__x86_indirect_thunk_edx" },
	{ 0x18590b96, "skb_push" },
	{ 0x24b14310, "skb_trim" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0x88522cae, "rt2x00usb_vendor_request_buff" },
	{ 0x62798a06, "mutex_unlock" },
	{ 0x6c544f4f, "mutex_lock" },
	{ 0x50eedeb8, "printk" },
	{ 0x2578daa2, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa4e5de67, "rt2x00usb_probe" },
	{ 0xf56c14a6, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "99EC34190756E32DB70C445");
