#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0xce0b3022, "device_remove_file" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x405c1144, "get_seconds" },
	{ 0xc996d097, "del_timer" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0x23847de8, "snd_pcm_period_elapsed" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xfe14bfc9, "snd_card_create" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xf7d9209, "__x86_indirect_thunk_eax" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8949858b, "schedule_work" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xf84780b0, "usb_kill_urb" },
	{ 0xe2fae716, "kmemdup" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x6c09b903, "snd_rawmidi_set_ops" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0xfc7ed181, "usb_unlink_urb" },
	{ 0xd541cc17, "snd_card_disconnect" },
	{ 0x7d11c268, "jiffies" },
	{ 0x56b1170e, "snd_rawmidi_new" },
	{ 0xde18b28c, "snd_pcm_suspend_all" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0xd5f2172f, "del_timer_sync" },
	{ 0x2bc95bd4, "memset" },
	{ 0x68c8a37e, "snd_device_new" },
	{ 0x9a8b72bf, "dev_err" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0xa7c71979, "current_task" },
	{ 0xf56c14a6, "usb_deregister" },
	{ 0x50eedeb8, "printk" },
	{ 0x11a13e31, "_kstrtol" },
	{ 0x971c65a4, "snd_pcm_set_ops" },
	{ 0x6e7e2afa, "usb_set_interface" },
	{ 0x6932dbb9, "usb_control_msg" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x2d1865f4, "snd_rawmidi_transmit_peek" },
	{ 0xb03747ff, "snd_pcm_lib_free_pages" },
	{ 0xbe2c0274, "add_timer" },
	{ 0x1991fce8, "sysfs_remove_link" },
	{ 0x1cea7145, "snd_pcm_lib_ioctl" },
	{ 0xbcba20be, "snd_pcm_lib_malloc_pages" },
	{ 0xf11543ff, "find_first_zero_bit" },
	{ 0x53654e9e, "__snd_printk" },
	{ 0xf8be3750, "device_create_file" },
	{ 0x8f1fcff5, "snd_pcm_hw_constraint_ratdens" },
	{ 0x71d3a32f, "sysfs_create_link" },
	{ 0xabf8ca38, "_dev_info" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0xa3d2a039, "usb_get_dev" },
	{ 0xa575c17d, "snd_rawmidi_transmit_ack" },
	{ 0x9e37364f, "usb_put_dev" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x51adcdce, "snd_ctl_new1" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0x996bdb64, "_kstrtoul" },
	{ 0x1de3dd01, "usb_interrupt_msg" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0x703a153a, "usb_get_intf" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0xd85bcec, "snd_pcm_stop" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0x7e76c995, "snd_pcm_lib_preallocate_pages_for_all" },
	{ 0xce835a1b, "snd_card_free" },
	{ 0x6d202f91, "snd_card_register" },
	{ 0x5d18c126, "snd_pcm_new" },
	{ 0x94b2e689, "snd_ctl_add" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0xde0530b4, "usb_free_urb" },
	{ 0xad2ca8fb, "snd_rawmidi_receive" },
	{ 0x818fbe44, "usb_alloc_urb" },
	{ 0xbe7cf13b, "usb_put_intf" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd,usbcore,snd-rawmidi";

MODULE_ALIAS("usb:v0E41p4250d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4642d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4252d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4750d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p5051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4153d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4150d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4151d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p414Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p414Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p5044d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4650d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p5050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4147d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4141d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p4142d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E41p534Dd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "F0433A1F78B0BE72C501561");
