#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0x114aea86, "usb_serial_suspend" },
	{ 0x575d3a09, "usb_serial_disconnect" },
	{ 0xdb347ff7, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x5a355ffa, "tty_flip_buffer_push" },
	{ 0xaa508f8e, "tty_insert_flip_string_fixed_flag" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0xc53ca262, "usb_serial_register" },
	{ 0x6e7e2afa, "usb_set_interface" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0xa0db1d8d, "usb_kill_anchored_urbs" },
	{ 0x7312c52e, "usb_clear_halt" },
	{ 0xb457c631, "usb_autopm_get_interface_no_resume" },
	{ 0xf84780b0, "usb_kill_urb" },
	{ 0x8ff4079b, "pv_irq_ops" },
	{ 0x50dce906, "usb_get_from_anchor" },
	{ 0xf333a2fb, "_raw_spin_lock_irq" },
	{ 0x32d32f3a, "usb_serial_port_softint" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0xe51aab4c, "usb_autopm_put_interface_async" },
	{ 0xbb4673c6, "usb_unanchor_urb" },
	{ 0xe934d370, "usb_anchor_urb" },
	{ 0x2e60bace, "memcpy" },
	{ 0x79de9952, "usb_autopm_get_interface_async" },
	{ 0x50eedeb8, "printk" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x818fbe44, "usb_alloc_urb" },
	{ 0xde0530b4, "usb_free_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x30e74134, "tty_termios_copy_hw" },
	{ 0x62798a06, "mutex_unlock" },
	{ 0x6c544f4f, "mutex_lock" },
	{ 0xfbc65d79, "usb_autopm_put_interface" },
	{ 0x6932dbb9, "usb_control_msg" },
	{ 0xe85976c8, "usb_autopm_get_interface" },
	{ 0x31e65567, "usb_serial_resume" },
	{ 0xa363dfb2, "tty_kref_put" },
	{ 0x52ee500d, "tty_hangup" },
	{ 0x5981f0e6, "tty_port_tty_get" },
	{ 0x9a8b72bf, "dev_err" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0xc9f5cd82, "dev_printk" },
	{ 0x9853115b, "usb_serial_deregister" },
	{ 0xf56c14a6, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v0F3Dp0112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p1B1Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p211Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p1E1Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0218d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0022d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0224d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0301d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0023d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p0025d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p0026d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0027d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0028d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0029d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6802d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6803d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6804d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6805d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6808d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6809d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6812d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6813d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6815d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6816d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6820d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6821d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6822d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6832d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6833d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6834d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6835d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6838d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6839d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6850d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6851d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6852d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6853d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6855d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6856d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6859d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p685Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6880d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6890d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6891d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6892d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p68A2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8133d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "A253BA718A94C739AD50E09");
