#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xd1a1ff56, "framebuffer_release" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0x4cd4a6ec, "fb_bl_default_curve" },
	{ 0xc9f5cd82, "dev_printk" },
	{ 0x78e340f9, "__x86_indirect_thunk_ebx" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0x72bf2140, "mtrr_add" },
	{ 0x6d3f7edf, "backlight_device_register" },
	{ 0x9c012508, "fb_parse_edid" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x92add57b, "pci_release_regions" },
	{ 0xd8883019, "cfb_fillrect" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x62798a06, "mutex_unlock" },
	{ 0xeaa2a8d4, "pci_bus_write_config_word" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0x31942daa, "cfb_imageblit" },
	{ 0x7b75270c, "__mutex_init" },
	{ 0x8026fa61, "__x86_indirect_thunk_esi" },
	{ 0x50eedeb8, "printk" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x56ab388a, "register_framebuffer" },
	{ 0x6c544f4f, "mutex_lock" },
	{ 0x8e3d03a8, "pci_get_domain_bus_and_slot" },
	{ 0x686de290, "restore_vga" },
	{ 0x4c759827, "byte_rev_table" },
	{ 0xb6256911, "i2c_del_adapter" },
	{ 0x42c8de35, "ioremap_nocache" },
	{ 0x36e6d447, "fb_find_mode" },
	{ 0xc2832a2d, "pci_bus_read_config_word" },
	{ 0xf391886d, "pci_bus_read_config_dword" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0xe7a2620e, "save_vga" },
	{ 0xfcfa03ff, "fb_videomode_to_modelist" },
	{ 0xd01d1428, "fb_get_mode" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0xff9ca065, "fb_edid_to_monspecs" },
	{ 0x1dc36131, "fb_destroy_modedb" },
	{ 0xe4dd3fe2, "pci_unregister_driver" },
	{ 0x97dee519, "__x86_indirect_thunk_edx" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0x258355b4, "fb_find_best_mode" },
	{ 0xd0ecc173, "framebuffer_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x891a5ed, "pci_request_regions" },
	{ 0xedc03953, "iounmap" },
	{ 0x272d394e, "mtrr_del" },
	{ 0xc8666b3c, "__pci_register_driver" },
	{ 0x89d5538d, "fb_pad_aligned_buffer" },
	{ 0x813476c8, "dev_warn" },
	{ 0x4a9f5dec, "cfb_copyarea" },
	{ 0xa6ab2ce4, "pci_dev_put" },
	{ 0x681186cc, "i2c_bit_add_bus" },
	{ 0x701d0ebd, "snprintf" },
	{ 0x60f7050f, "pci_enable_device" },
	{ 0x795f44b5, "backlight_device_unregister" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0x8bd8205b, "fb_ddc_read" },
	{ 0x6aa41fcd, "fb_validate_mode" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6e95d13e, "unregister_framebuffer" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=vgastate,i2c-core,i2c-algo-bit,fb_ddc";

MODULE_ALIAS("pci:v000012D2d00000018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000028sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000029sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000002Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000002Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000103sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000110sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000112sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000113sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000150sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000151sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000152sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000153sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000170sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000171sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000001F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000172sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000174sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000175sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000176sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000178sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000179sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000017Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000017Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000017Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000001A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000202sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000203sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000250sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000251sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000253sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000258sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000259sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000025Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000329sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9B8441C35E899DAA0B648D9");
