#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0xeb450c73, "agp_put_bridge" },
	{ 0x356481e6, "pci_bus_read_config_byte" },
	{ 0x6350f162, "agp_generic_alloc_page" },
	{ 0xaeabee25, "intel_gmch_probe" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0xe5ee6ea3, "agp_generic_free_gatt_table" },
	{ 0xf7d9209, "__x86_indirect_thunk_eax" },
	{ 0xfef771f6, "agp_generic_type_to_mask_type" },
	{ 0x62f4a6f3, "agp_generic_create_gatt_table" },
	{ 0xc7fddaaa, "agp_generic_remove_memory" },
	{ 0xeaa2a8d4, "pci_bus_write_config_word" },
	{ 0xe6e12d5f, "agp_add_bridge" },
	{ 0x8c918c75, "agp_alloc_bridge" },
	{ 0x7d1401e1, "agp_generic_free_by_type" },
	{ 0x2c74d46a, "agp_generic_alloc_by_type" },
	{ 0x8aeb2033, "agp_generic_alloc_pages" },
	{ 0x9a8b72bf, "dev_err" },
	{ 0xfd4e1ada, "pci_bus_write_config_dword" },
	{ 0x5fcdd63e, "agp_generic_mask_memory" },
	{ 0x233bdc3c, "agp_remove_bridge" },
	{ 0x7538b132, "agp_off" },
	{ 0x5179b4a, "pci_find_capability" },
	{ 0x45938cee, "agp_generic_destroy_page" },
	{ 0xabf8ca38, "_dev_info" },
	{ 0xc2832a2d, "pci_bus_read_config_word" },
	{ 0xf391886d, "pci_bus_read_config_dword" },
	{ 0xc8fb0de, "agp_generic_insert_memory" },
	{ 0xeaff90c8, "agp_generic_enable" },
	{ 0xe4dd3fe2, "pci_unregister_driver" },
	{ 0xb2f74fb6, "intel_gmch_remove" },
	{ 0x67822388, "pci_bus_write_config_byte" },
	{ 0xe998424e, "pci_assign_resource" },
	{ 0xc8666b3c, "__pci_register_driver" },
	{ 0x813476c8, "dev_warn" },
	{ 0xa4d4f0e6, "global_cache_flush" },
	{ 0x60f7050f, "pci_enable_device" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0x3e4bb720, "dev_emerg" },
	{ 0x3caf05b2, "agp_generic_destroy_pages" },
	{ 0x6d196a5, "agp_bridge" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=intel-gtt";

MODULE_ALIAS("pci:v00008086d00001237sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007180sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007190sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000071A0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007120sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007122sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00007124sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00001130sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002500sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002501sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00003575sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00001A21sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00001A30sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002560sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002530sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000358Csv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00003340sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00003580sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002531sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002570sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002578sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002550sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000255Dsv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002588sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002580sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002590sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002770sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000027A0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000027ACsv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000A010sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000A000sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002970sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002980sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002990sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000029A0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002A00sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002A10sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000029C0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000029B0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d000029D0sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002A40sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E00sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E10sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E20sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E30sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E40sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00002E90sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00000040sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00000069sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00000044sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d00000062sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00008086d0000006Asv*sd*bc06sc00i00*");

MODULE_INFO(srcversion, "853A1F9DC7C27ADB5A2EB55");
