#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0x56f3be6c, "noop_llseek" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0x9664f8a4, "usb_register_dev" },
	{ 0x6090b3a4, "sysfs_create_group" },
	{ 0x182bbe2b, "usb_ifnum_to_if" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x2bf24a4f, "input_set_abs_params" },
	{ 0xa3d2a039, "usb_get_dev" },
	{ 0x7b75270c, "__mutex_init" },
	{ 0x818fbe44, "usb_alloc_urb" },
	{ 0x1903f63a, "rc_free_device" },
	{ 0x2c9473f5, "rc_register_device" },
	{ 0x9ae0ed02, "rc_allocate_device" },
	{ 0x798e203f, "input_free_device" },
	{ 0x9a8b72bf, "dev_err" },
	{ 0x1f705010, "input_register_device" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x29eff5b0, "input_allocate_device" },
	{ 0xdcd8b662, "usb_deregister_dev" },
	{ 0x3a7173ac, "complete_all" },
	{ 0xd5f2172f, "del_timer_sync" },
	{ 0xde0530b4, "usb_free_urb" },
	{ 0x2c4e57cf, "rc_unregister_device" },
	{ 0x1f8f1df9, "input_unregister_device" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0x6df2dc2c, "sysfs_remove_group" },
	{ 0xd23db6c5, "usb_find_interface" },
	{ 0x33d169c9, "_copy_from_user" },
	{ 0x701d0ebd, "snprintf" },
	{ 0x42224298, "sscanf" },
	{ 0xd0d8621b, "strlen" },
	{ 0xe914e41e, "strcpy" },
	{ 0x5e09ca75, "complete" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xa7c71979, "current_task" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x37a0cba, "kfree" },
	{ 0xb10ec686, "wait_for_completion_interruptible" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x62798a06, "mutex_unlock" },
	{ 0x6c544f4f, "mutex_lock" },
	{ 0xf84780b0, "usb_kill_urb" },
	{ 0xb2f18a75, "rc_keydown" },
	{ 0x813476c8, "dev_warn" },
	{ 0x8834396c, "mod_timer" },
	{ 0x7d11c268, "jiffies" },
	{ 0x71787183, "rc_keyup" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x64ee601e, "input_event" },
	{ 0x25b65126, "rc_g_keycode_from_table" },
	{ 0xabf8ca38, "_dev_info" },
	{ 0x1d2e87c6, "do_gettimeofday" },
	{ 0x50eedeb8, "printk" },
	{ 0xc9f5cd82, "dev_printk" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0xf56c14a6, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,rc-core";

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "5B2AD2A9F2BEB54FA8BCC72");
