#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x73e20c1c, "strlcpy" },
	{ 0xd0d8621b, "strlen" },
	{ 0x9214f770, "usb_string" },
	{ 0x6b8a1e0, "usb_alloc_coherent" },
	{ 0x6932dbb9, "usb_control_msg" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xb54533f7, "usecs_to_jiffies" },
	{ 0xa7c71979, "current_task" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0x1d2e87c6, "do_gettimeofday" },
	{ 0x2e60bace, "memcpy" },
	{ 0x818fbe44, "usb_alloc_urb" },
	{ 0x50eedeb8, "printk" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0xfc7ed181, "usb_unlink_urb" },
	{ 0xf47ef67c, "ir_raw_event_store" },
	{ 0xee4d24fa, "ir_raw_event_store_with_filter" },
	{ 0x60fc1d68, "ir_raw_event_handle" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1903f63a, "rc_free_device" },
	{ 0x9a8b72bf, "dev_err" },
	{ 0x2c9473f5, "rc_register_device" },
	{ 0x701d0ebd, "snprintf" },
	{ 0x9ae0ed02, "rc_allocate_device" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x55eec68f, "usb_free_coherent" },
	{ 0xde0530b4, "usb_free_urb" },
	{ 0x2c4e57cf, "rc_unregister_device" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0xf84780b0, "usb_kill_urb" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0xabf8ca38, "_dev_info" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0xf56c14a6, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,rc-core";

MODULE_ALIAS("usb:v045Ep006Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p0608d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p060Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p060Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p060Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p0613d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p0815d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p206Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p2088d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p2093d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDAp0161d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0609p031Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0609p0322d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0609p0334d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0609p0338d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0609p0353d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1460p9150d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1308pC001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v051CpC001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v107Bp3009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EEp2501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1784p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1784p0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1784p0007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1784p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1784p000Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1784p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v179Dp0010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v195Dp7002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1509p9242d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v043Ep9803d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v045Ep00A0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE015d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE016d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE03Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE03Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE03Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1934p5168d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1934p0602d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1934p0702d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0225d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1019p0F38d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0FB8p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v185Bp3020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v185Bp3082d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04EBpE004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v105Ap2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "AF69D1F446DB36D3AF33790");
