#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0xf2310f0e, "video_ioctl2" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x6a8a7bce, "videobuf_read_one" },
	{ 0xda30ba8a, "videobuf_poll_stream" },
	{ 0x5b17bb1f, "videobuf_mmap_mapper" },
	{ 0xa02faf4d, "videobuf_queue_vmalloc_init" },
	{ 0x73e20c1c, "strlcpy" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x729e47e7, "videobuf_queue_is_busy" },
	{ 0xb4c63253, "videobuf_reqbufs" },
	{ 0x2bf9640c, "videobuf_querybuf" },
	{ 0xd69f1ec5, "videobuf_qbuf" },
	{ 0xc5ea6be, "videobuf_dqbuf" },
	{ 0xb42e9199, "videobuf_streamon" },
	{ 0x190d8b45, "videobuf_streamoff" },
	{ 0x8420eb80, "video_device_release" },
	{ 0x7cd8039f, "__video_register_device" },
	{ 0x7b75270c, "__mutex_init" },
	{ 0xa2740cb0, "video_device_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x88df1494, "videobuf_to_vmalloc" },
	{ 0x1d2e87c6, "do_gettimeofday" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0x818fbe44, "usb_alloc_urb" },
	{ 0xd38260eb, "videobuf_iolock" },
	{ 0xce598fe2, "videobuf_vmalloc_free" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9a8b72bf, "dev_err" },
	{ 0x6932dbb9, "usb_control_msg" },
	{ 0x2e60bace, "memcpy" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x22acc09, "video_devdata" },
	{ 0xabf8ca38, "_dev_info" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0xd2e20412, "videobuf_mmap_free" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x999e8297, "vfree" },
	{ 0xde0530b4, "usb_free_urb" },
	{ 0xf84780b0, "usb_kill_urb" },
	{ 0x425b6ae0, "video_unregister_device" },
	{ 0x62798a06, "mutex_unlock" },
	{ 0x6c544f4f, "mutex_lock" },
	{ 0xf56c14a6, "usb_deregister" },
	{ 0x50eedeb8, "printk" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,videobuf-core,videobuf-vmalloc,usbcore";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "98299773CE5C501094AD563");
