#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0x4ec924eb, "orinoco_get_stats" },
	{ 0x3453b930, "orinoco_tx_timeout" },
	{ 0x37fa8558, "orinoco_change_mtu" },
	{ 0x9cf52c02, "eth_validate_addr" },
	{ 0xa9621ac5, "eth_mac_addr" },
	{ 0xb8efb45e, "orinoco_set_multicast_list" },
	{ 0xfde01037, "orinoco_stop" },
	{ 0xe7b8a4ef, "orinoco_open" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0x1e12ff18, "__orinoco_ev_rx" },
	{ 0x4c128dbe, "__orinoco_ev_info" },
	{ 0xc996d097, "del_timer" },
	{ 0x66c62e1a, "free_orinocodev" },
	{ 0xcf36dbfb, "orinoco_if_del" },
	{ 0x62798a06, "mutex_unlock" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0x15d5d773, "release_firmware" },
	{ 0x108600c, "orinoco_if_add" },
	{ 0xba1b9527, "orinoco_init" },
	{ 0x5fae6ed, "request_firmware" },
	{ 0x83636ee3, "wait_for_completion" },
	{ 0xfc7ed181, "usb_unlink_urb" },
	{ 0xd5f2172f, "del_timer_sync" },
	{ 0x6c544f4f, "mutex_lock" },
	{ 0x7b75270c, "__mutex_init" },
	{ 0x65c6fac7, "alloc_orinocodev" },
	{ 0xf84780b0, "usb_kill_urb" },
	{ 0x8c183cbe, "iowrite16" },
	{ 0x4588bf0f, "__dynamic_pr_debug" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xac08df42, "orinoco_process_xmit_skb" },
	{ 0x12dea0d7, "consume_skb" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0x4292364c, "schedule" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xa7c71979, "current_task" },
	{ 0xf7d9209, "__x86_indirect_thunk_eax" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8834396c, "mod_timer" },
	{ 0x7d11c268, "jiffies" },
	{ 0x5c4b6f98, "__netif_schedule" },
	{ 0x5e09ca75, "complete" },
	{ 0x1902adf, "netpoll_trap" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x6932dbb9, "usb_control_msg" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x818fbe44, "usb_alloc_urb" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0x6223cafb, "_raw_spin_unlock_bh" },
	{ 0x87a45ee9, "_raw_spin_lock_bh" },
	{ 0x2e60bace, "memcpy" },
	{ 0x50eedeb8, "printk" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x37a0cba, "kfree" },
	{ 0xde0530b4, "usb_free_urb" },
	{ 0xf56c14a6, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=orinoco,usbcore";

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "E2E689AAEE6E6D768350F1D");
