#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0x18590b96, "skb_push" },
	{ 0x63723fc3, "skb_pull" },
	{ 0x5b102208, "dev_alloc_skb" },
	{ 0x3c9b7d7c, "__dev_kfree_skb_irq" },
	{ 0x24b14310, "skb_trim" },
	{ 0x807a8633, "p54_rx" },
	{ 0xc4b288c9, "skb_put" },
	{ 0x32d0c4c3, "p54_register_common" },
	{ 0xc7ac967c, "p54_read_eeprom" },
	{ 0x97dee519, "__x86_indirect_thunk_edx" },
	{ 0x7119413c, "p54_parse_firmware" },
	{ 0x5fae6ed, "request_firmware" },
	{ 0x62798a06, "mutex_unlock" },
	{ 0x950c8fd3, "usb_reset_device" },
	{ 0xc3220238, "usb_lock_device_for_reset" },
	{ 0xa3d2a039, "usb_get_dev" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0x15eca908, "p54_init_common" },
	{ 0x9921a89d, "skb_unlink" },
	{ 0xf160641d, "kfree_skb" },
	{ 0xd8395f7b, "__alloc_skb" },
	{ 0x6a2fd74a, "skb_queue_tail" },
	{ 0x7d11c268, "jiffies" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0xa34f1ef5, "crc32_le" },
	{ 0xd0d8621b, "strlen" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe2fae716, "kmemdup" },
	{ 0x182bbe2b, "usb_ifnum_to_if" },
	{ 0x4c447e39, "p54_free_skb" },
	{ 0xde0530b4, "usb_free_urb" },
	{ 0xbb4673c6, "usb_unanchor_urb" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0xe934d370, "usb_anchor_urb" },
	{ 0x818fbe44, "usb_alloc_urb" },
	{ 0x1de3dd01, "usb_interrupt_msg" },
	{ 0x9a8b72bf, "dev_err" },
	{ 0x2e60bace, "memcpy" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x37a0cba, "kfree" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xa96b38a8, "usb_bulk_msg" },
	{ 0xb18f8db6, "p54_free_common" },
	{ 0x15d5d773, "release_firmware" },
	{ 0x9e37364f, "usb_put_dev" },
	{ 0x38c6a4b5, "p54_unregister_common" },
	{ 0xa0db1d8d, "usb_kill_anchored_urbs" },
	{ 0x35e2da53, "ieee80211_restart_hw" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0xf56c14a6, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,p54common,mac80211";

MODULE_ALIAS("usb:v0411p0050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v045Ep00C2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p0A11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0675p0530d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06B9p0120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp001Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4502d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap5501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v09AAp1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BF8p1007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6826d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v107Bp55F2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v124Ap4023d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1435p0210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15A9p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1630p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v182Dp096Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2234d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2235d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3703d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3762d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5041p2234d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5041p2235d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p1230d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06A9p000Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06B9p0121d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0803p4310d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4521d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4531d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083ApC501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083ApF503d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4240d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0915p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0915p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp0118d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BF8p1009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0015d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D8Ep3762d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v124Ap4025d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1260pEE22d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1413p5400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1435p0427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p1050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1740p1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3705d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp5513d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8104d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "88193EBE86AF81B4A9E7A10");
