#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0x38ccab17, "rndis_tx_fixup" },
	{ 0xe4db6e8a, "rndis_rx_fixup" },
	{ 0x54442e4f, "rndis_status" },
	{ 0x8f0bba0e, "usbnet_resume" },
	{ 0xc39c24c8, "usbnet_suspend" },
	{ 0x56e63a5b, "usbnet_disconnect" },
	{ 0xfc89bff, "usbnet_probe" },
	{ 0xb1be4209, "usbnet_tx_timeout" },
	{ 0x9cf52c02, "eth_validate_addr" },
	{ 0xa9621ac5, "eth_mac_addr" },
	{ 0x9de7220e, "usbnet_start_xmit" },
	{ 0x2ffbbe8c, "usbnet_stop" },
	{ 0xdbf8d740, "usbnet_open" },
	{ 0x810b3618, "param_ops_string" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x283a461, "cfg80211_disconnected" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x35758978, "cfg80211_roamed" },
	{ 0x6e8b7def, "cfg80211_ibss_joined" },
	{ 0x5547e8a5, "cfg80211_connect_result" },
	{ 0x8773d362, "netif_carrier_on" },
	{ 0x8f780cb7, "cfg80211_cqm_rssi_notify" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0xf56c14a6, "usb_deregister" },
	{ 0x98f14d9, "cfg80211_inform_bss" },
	{ 0xbbacaea5, "__ieee80211_get_channel" },
	{ 0x8d9a1435, "netdev_err" },
	{ 0x2951ca34, "usbnet_resume_rx" },
	{ 0x53c4a856, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xb859f38b, "krealloc" },
	{ 0xb14eea29, "netif_carrier_off" },
	{ 0xa565e8b0, "wiphy_register" },
	{ 0xe41d4368, "generic_rndis_bind" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x88a193, "__alloc_workqueue_key" },
	{ 0x7b75270c, "__mutex_init" },
	{ 0x10e04cd6, "wiphy_new" },
	{ 0x25c2c5f1, "wiphy_free" },
	{ 0x5ccb7f36, "wiphy_unregister" },
	{ 0x3c254ca1, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x47c149ab, "queue_delayed_work" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x6223cafb, "_raw_spin_unlock_bh" },
	{ 0x87a45ee9, "_raw_spin_lock_bh" },
	{ 0xbb090195, "cfg80211_scan_done" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x6baae653, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd0264b07, "netdev_warn" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0xd0d8621b, "strlen" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x62798a06, "mutex_unlock" },
	{ 0x868327fb, "rndis_command" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6c544f4f, "mutex_lock" },
	{ 0x8f56e66f, "usbnet_pause_rx" },
	{ 0x34274084, "cfg80211_michael_mic_failure" },
	{ 0x7d2ff4cc, "netdev_info" },
	{ 0x33543801, "queue_work" },
	{ 0xc9f5cd82, "dev_printk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x11089ac7, "_ctype" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rndis_host,usbnet,cfg80211,usbcore";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01*");

MODULE_INFO(srcversion, "92DFDB4CF5284896614EC0D");
