#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0x575d3a09, "usb_serial_disconnect" },
	{ 0xdb347ff7, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0xc53ca262, "usb_serial_register" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0x9a8b72bf, "dev_err" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x7312c52e, "usb_clear_halt" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xfc7ed181, "usb_unlink_urb" },
	{ 0xde0530b4, "usb_free_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xf84780b0, "usb_kill_urb" },
	{ 0x133cade5, "interruptible_sleep_on_timeout" },
	{ 0x62746a85, "tty_wakeup" },
	{ 0x2e60bace, "memcpy" },
	{ 0xa7c71979, "current_task" },
	{ 0xbad7d2da, "interruptible_sleep_on" },
	{ 0x992d35e, "tty_get_baud_rate" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x8ec4e371, "tty_schedule_flip" },
	{ 0x8949858b, "schedule_work" },
	{ 0x5a355ffa, "tty_flip_buffer_push" },
	{ 0xa363dfb2, "tty_kref_put" },
	{ 0xaba6aa9, "tty_insert_flip_string_flags" },
	{ 0x5981f0e6, "tty_port_tty_get" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0x6932dbb9, "usb_control_msg" },
	{ 0x50eedeb8, "printk" },
	{ 0x9853115b, "usb_serial_deregister" },
	{ 0xf56c14a6, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v061DpC030d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC060d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC070d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC080d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC081d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC0A0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC0A1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC090d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC091d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC092d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC093d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC0B0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC0B1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC0B2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC0B3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC140d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC150d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC160d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC170d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC180d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v061DpC1A0d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "9D813647099718CFAB54896");
