#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x72aa82c6, "param_ops_charp" },
	{ 0xc3fe87c8, "param_ops_uint" },
	{ 0xf59f197, "param_array_ops" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x701d0ebd, "snprintf" },
	{ 0x59dead8d, "wake_up_process" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0xf187b460, "usbatm_usb_probe" },
	{ 0x950c8fd3, "usb_reset_device" },
	{ 0xf6a035b3, "request_firmware_nowait" },
	{ 0xf7d9209, "__x86_indirect_thunk_eax" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x813476c8, "dev_warn" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xd11c0dc1, "__kernel_param_unlock" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaf91d89f, "__kernel_param_lock" },
	{ 0xb7b61546, "crc32_be" },
	{ 0xa96b38a8, "usb_bulk_msg" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x35c2ba9e, "refrigerator" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x97dee519, "__x86_indirect_thunk_edx" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xd2965f6f, "kthread_should_stop" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0xdecba35f, "atm_dev_signal_change" },
	{ 0x8949858b, "schedule_work" },
	{ 0x6090b3a4, "sysfs_create_group" },
	{ 0x6e7e2afa, "usb_set_interface" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xa97cb29e, "kthread_create_on_node" },
	{ 0x818fbe44, "usb_alloc_urb" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x5fae6ed, "request_firmware" },
	{ 0xe3460c96, "__x86_indirect_thunk_ecx" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0x7de652c4, "usb_driver_claim_interface" },
	{ 0x182bbe2b, "usb_ifnum_to_if" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0x4292364c, "schedule" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xa7c71979, "current_task" },
	{ 0x6df2dc2c, "sysfs_remove_group" },
	{ 0x15d5d773, "release_firmware" },
	{ 0x24e1307e, "flush_work_sync" },
	{ 0xde0530b4, "usb_free_urb" },
	{ 0xf84780b0, "usb_kill_urb" },
	{ 0xb4df0e49, "kthread_stop" },
	{ 0x9a8b72bf, "dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x6932dbb9, "usb_control_msg" },
	{ 0xe2fae716, "kmemdup" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0x9214f770, "usb_string" },
	{ 0xc9f5cd82, "dev_printk" },
	{ 0xabf8ca38, "_dev_info" },
	{ 0x62798a06, "mutex_unlock" },
	{ 0x3f5f7147, "usbatm_usb_disconnect" },
	{ 0x6c544f4f, "mutex_lock" },
	{ 0x50eedeb8, "printk" },
	{ 0xf56c14a6, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,usbatm,atm";

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "A1E1F9EE9654E2175EBDDB4");
