#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x214988b1, "module_layout" },
	{ 0x575d3a09, "usb_serial_disconnect" },
	{ 0xdb347ff7, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0x7d11c268, "jiffies" },
	{ 0x8adcd20b, "dev_set_drvdata" },
	{ 0xabf8ca38, "_dev_info" },
	{ 0x9214f770, "usb_string" },
	{ 0x982a135, "tty_encode_baud_rate" },
	{ 0x409873e3, "tty_termios_baud_rate" },
	{ 0x992d35e, "tty_get_baud_rate" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x818fbe44, "usb_alloc_urb" },
	{ 0x15d5d773, "release_firmware" },
	{ 0x5fae6ed, "request_firmware" },
	{ 0xdd4732c5, "usb_register_driver" },
	{ 0xc53ca262, "usb_serial_register" },
	{ 0x813476c8, "dev_warn" },
	{ 0x6932dbb9, "usb_control_msg" },
	{ 0x6225947f, "kmem_cache_alloc_trace" },
	{ 0xdfd8be9a, "malloc_sizes" },
	{ 0xf84780b0, "usb_kill_urb" },
	{ 0x4292364c, "schedule" },
	{ 0x2da418b5, "copy_to_user" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xa7c71979, "current_task" },
	{ 0xde0530b4, "usb_free_urb" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x5a355ffa, "tty_flip_buffer_push" },
	{ 0xaa508f8e, "tty_insert_flip_string_fixed_flag" },
	{ 0xa8b5c2e, "dev_get_drvdata" },
	{ 0xa363dfb2, "tty_kref_put" },
	{ 0x62746a85, "tty_wakeup" },
	{ 0x5981f0e6, "tty_port_tty_get" },
	{ 0x9a8b72bf, "dev_err" },
	{ 0x649ff3be, "usb_submit_urb" },
	{ 0x2e60bace, "memcpy" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0xc9f5cd82, "dev_printk" },
	{ 0x50eedeb8, "printk" },
	{ 0x9853115b, "usb_serial_deregister" },
	{ 0xf56c14a6, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v1608p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p1403d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0013d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0014d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0203d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0310d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0311d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0312d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA758d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA794d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA225d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "2CB4FB4E90C38FBFABA3B84");
